Bug 11007 - Useless column cancelledby in aqorders table
Summary: Useless column cancelledby in aqorders table
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Database (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-07 15:25 UTC by mathieu saby
Modified: 2015-06-04 23:33 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11007: Drop column aqorders.cancelledby (2.76 KB, patch)
2014-07-18 10:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11007: Drop column aqorders.cancelledby (2.76 KB, patch)
2014-07-18 10:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 11007: Drop column aqorders.cancelledby (2.82 KB, patch)
2014-08-18 23:44 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
[PASSED QA] Bug 11007: Drop column aqorders.cancelledby (2.98 KB, patch)
2014-08-21 08:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu saby 2013-10-07 15:25:51 UTC
In Schemaspy, column cancelledby is reported as "not used? always NULL".
"grep -r cancelledby *" give this result, so I suppose it is true : 

blib/INTRANET_CGI_DIR/installer/data/mysql/kohastructure.sql:  `cancelledby` varchar(10) default NULL, -- not used? always NULL
blib/INTRANET_CGI_DIR/installer/data/Pg/kohastructure.sql:cancelledby varchar(10) default NULL,
installer/data/mysql/kohastructure.sql:  `cancelledby` varchar(10) default NULL, -- not used? always NULL
installer/data/Pg/kohastructure.sql:cancelledby varchar(10) default NULL,
t/db_dependent/Acquisition.t:                         cancelledby


I propose the deletion of this column.

M. Saby
Comment 1 Jonathan Druart 2014-07-18 10:50:50 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2014-07-18 10:56:01 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2014-08-13 20:16:49 UTC
(In reply to Jonathan Druart from comment #2)

> 3/ prove t/db_dependent/Acquisition.t should return green.

Does that test return green for you in master? It doesn't for me.
Comment 4 Jonathan Druart 2014-08-18 11:14:09 UTC
(In reply to Owen Leonard from comment #3)
> (In reply to Jonathan Druart from comment #2)
> 
> > 3/ prove t/db_dependent/Acquisition.t should return green.
> 
> Does that test return green for you in master? It doesn't for me.

Yes, what is the error you get?
Comment 5 Srdjan Jankovic 2014-08-18 23:44:56 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2014-08-21 08:46:29 UTC
Created attachment 31038 [details] [review]
[PASSED QA] Bug 11007: Drop column aqorders.cancelledby

It seems that this column has never been used.

Test plan:
1/ Execute the updatedatabase entry.
2/ git grep cancelledby should not return occurrence in the code (except
in Koha/Schema/*
3/ prove t/db_dependent/Acquisition.t should return green.

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
I couldn't find any trace of this column being used.
Passes tests and QA script, updates all necessary files.
Comment 7 Tomás Cohen Arazi 2014-10-28 13:24:57 UTC
Patch pushed to master.

Thanks Jonathan!